Subject: Re: [Ieprep] requirements document(s) (Accounting)

From: [email-masked]
Date: Fri, 11 Oct 2002 12:07:40 EDT

In a message dated 10/11/2002 11:00:53 AM Eastern Standard Time, 
[email-masked] writes:

> On Friday, Oct 11, 2002, at 10:31 America/Montreal, [email-masked] 
> wrote:
> > [MAP] Once again, your response and comments focus of "billing". I was 
> > not talking about "billing". I am talking about the need to keep call 
> > records in order to detect use of the priority service, and to be able 
> > to detect misuse (someone using it that is not authorized or someone 
> > who is authorized but using it incorrectly).
> 
>     No, the comments were not focused on billing.  Please re-read them
> 

[MAP] I did, and so can everyone else. You talk mostly about billing. 
Further, you are talking about "packets", which is not the issue here. Let's 
focus on the accounting requirements for priority calls.

> 
>     Typically (and specifically in my example), ISPs do *zero* accounting
> of how many packets/bytes use the preferred service versus the routine 
> service.
> Generally speaking, the equipment that ISPs use is not capable of such 
> accounting
> (e.g. for DiffServ, which was my counter example).  In this example, the 
> ISP equipment
> only performs a pre-configured policy decision (i.e. customer X is 
> permitted to send
> packets marked preferred xor customer X is not permitted to send packets 
> marked
> preferred) that is typically implemented as a kind of packet filter on the 
> ingress
> interface to the ISP from customer X.  Note that in this model, any 
> customer able
> to send a packet marked as preferred is capable of sending 100% of their 
> traffic
> with the preferred marking.  Also note that zero *accounting* is occuring.
> 
> Regards,
> 
> Ran
> 

[MAP] And I couldn't imagine stating a requirement that anyone must record 
things like number of packets/bytes that are transferred as a result of 
setting up a high priority call. I suppose someone may want to bill on that 
basis, but that was not the point. We're talking about requirements for 
creating a CDR for the call setup, not the requirements for counting packet 
transfer.

Mike Pierce
Artel

---

From: "Stuart (Stu) Goldman" <[email-masked]>
Date: Fri, 11 Oct 2002 09:30:21 -0700

Mike,

A question for you:

(I really don't want to get caught up in the discussion aspect about if
accounting needs protocol or not.)

My question is simply that in the PSTN network "accounting" consisted of
two different mechanisms. There was the AMA record for the particular
call which generated billing information specific to that call. There
also were a great number of peg counters that provided information about
how often and which special treatments were actually invoked and how
often they resulted in a successful call. Are you envisioning either or
both mechanisms?

[email-masked] wrote:

>> more closely.
> Further, you are talking about "packets", which is not the issue here.
> Let's focus on the accounting requirements for priority calls.
>
>
>>
>> of how many packets/bytes use the preferred service versus the
>> routine service.
>> Generally speaking, the equipment that ISPs use is not capable of
>> such accounting
>> (e.g. for DiffServ, which was my counter example).  In this example,
>> the ISP equipment
>> packets marked preferred xor customer X is not permitted to send
>> packets marked
>> preferred) that is typically implemented as a kind of packet filter
>> on the ingress
>> to send a packet marked as preferred is capable of sending 100% of
>> their traffic
> [MAP] And I couldn't imagine stating a requirement that anyone must
> record things like number of packets/bytes that are transferred as a
> result of setting up a high priority call. I suppose someone may want
> to bill on that basis, but that was not the point. We're talking about
> requirements for creating a CDR for the call setup, not the
> requirements for counting packet transfer.
>
> Mike Pierce
> Artel

---

From: RJ Atkinson <[email-masked]>
Date: Fri, 11 Oct 2002 12:50:42 -0400

> Let's focus on the accounting requirements for priority calls.

You have misread my comments twice so far.

I think the problem is that you are thinking about telephony calls and 
SIP,
which I was not (and am not) talking about.  I'm talking about labels 
in the
context of the general requirements document from Carlberg & Atkinson.

In any event, my comments were NOT about billing -- so if you think they
are, then you aren't reading what I wrote.  And given your track record 
of
problems understanding others words also, I'm now at a loss for words 
on how
to help you understand what I wrote.  Terribly sorry.

Ran
[email-masked]

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep